## libkf5pimcommon 23.08.0

=== debian/changelog ===
libkf5pimcommon (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:43 +0100

libkf5pimcommon (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Drop enable_debianabimanager.diff
  * Rename binary packages:
    - libkf5pimcommon5abi3 -> libkpim5pimcommon5
    - libkf5pimcommonakonadi5 -> libkpim5pimcommonakonadi5
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:08 +0100

libkf5pimcommon (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:58:48 +0100

libkf5pimcommon (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * Remove no longer needed packages:
    - libkf5pimcommon-plugins
    - libkf5pimcommonautocorrection5
  * Install Qt designer plugins in -dev package
  * Sync debian/rules with debian, provide virtual ABI package
  * Remove symbols file, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:01:35 +0100

libkf5pimcommon (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:46:54 +0000

libkf5pimcommon (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:31:03 -0600

libkf5pimcommon (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:28:07 +0000

libkf5pimcommon (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:18:52 +0000

libkf5pimcommon (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:15:03 +0000

libkf5pimcommon (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.
  * New library package libkf5pimcommonautocorrection5

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:41:32 +0000

libkf5pimcommon (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:17:44 +0000
