=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                debhelper (>= 11),
                extra-cmake-modules (>= 5.91.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadicontact-dev (>= 4:23.08.0~),
-               libkf5akonadisearch-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadicontact-dev (>= 4:23.08.1~),
+               libkf5akonadisearch-dev (>= 4:23.08.1~),
                libkf5archive-dev (>= 5.91.0~),
                libkf5codecs-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -19,16 +19,16 @@
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5imap-dev (>= 23.08.0~),
+               libkf5imap-dev (>= 23.08.1~),
                libkf5itemmodels-dev (>= 5.91.0~),
                libkf5jobwidgets-dev (>= 5.91.0~),
                libkf5kcmutils-dev (>= 5.91.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.91.0~),
-               libkf5ldap-dev (>= 23.08.0~),
-               libkf5libkdepim-dev (>= 4:23.08.0~),
+               libkf5ldap-dev (>= 23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.1~),
                libkf5newstuff-dev (>= 5.91.0~),
-               libkf5pimtextedit-dev (>= 23.08.0~),
+               libkf5pimtextedit-dev (>= 23.08.1~),
                libkf5purpose-dev (>= 5.91.0~),
                libkf5service-dev (>= 5.91.0~),
                libkf5sonnet-dev (>= 5.31.0~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.0~),
-         libkf5akonadicontact-dev (>= 4:23.08.0~),
+Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+         libkf5akonadicontact-dev (>= 4:23.08.1~),
          libkf5config-dev (>= 5.91.0~),
          libkf5contacts-dev (>= 5:5.91.0~),
-         libkf5imap-dev (>= 23.08.0~),
-         libkf5pimtextedit-dev (>= 23.08.0~),
+         libkf5imap-dev (>= 23.08.1~),
+         libkf5pimtextedit-dev (>= 23.08.1~),
          libkf5textwidgets-dev (>= 5.31.0~),
          libkpim5pimcommon5 (= ${binary:Version}),
          libkpim5pimcommonakonadi5 (= ${binary:Version}),
